<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <title>Hibernate</title>
</head>
<body>
    <h1>Hibernate - Users</h1>

    <body>
    <div align="center">
        <h1>Users List</h1>
        <h2><a href="/hibernate/new">New User</a></h2>

        <table border="1">
            <th>Id</th>
            <th>Username</th>
            <th>Email</th>
            <th>Roles</th>
            <th>Privileges</th>
            <th>Actions</th>

            <tr th:each="item : ${users}">
                <td th:text="${item.id}"></td>
                <td th:text="${item.username}"></td>
                <td th:text="${item.email}"></td>
                <td>
                    <ul th:each="role : ${item.getRoles()}">
                        <li th:text="${role.name}"></li>
                    </ul>
                </td>
                <td>
                    <span th:each="role : ${item.getRoles()}">
                        <ul th:each="privi : ${role.getPrivileges()}">
                            <li th:text="${privi.name}"></li>
                        </ul>
                    </span>
                </td>
                <td>
                    <a th:href="@{/hibernate/edit(id=${item.id})}">Edit</a>
                    &nbsp;&nbsp;&nbsp;&nbsp;
                    <a th:href="@{/hibernate/delete(id=${item.id})}">Delete</a>
                </td>
            </tr>
        </table>
    </div>
    </body>
</body>
</html>